Open or close the preview account

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/projects/{project_id}/preview-account

Open the access of the preview account for one hour, or close it. When you close it, its sessions end. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

application/json

Body Required

  • is_open boolean Required

Responses

  • 200 application/json

    The updated preview account

    Hide response attributes Show response attributes object
    • id string(uuid)
    • email string
    • full_name string
    • preview_open_until string(date-time) | null

      End of the access window, null when closed

  • 400

    The body is not valid

  • 403

    You are not a manager of the project

  • 404

    The project has no preview account

PUT /data/projects/{project_id}/preview-account
curl \
 --request PUT '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/preview-account' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "is_open": true
}'
Request examples
{
  "is_open": true
}
Response examples (200)
{
  "id": "string",
  "email": "preview-0a1b2c3d4e5f@preview.kitsu.invalid",
  "full_name": "Preview Cosmos Landromat",
  "preview_open_until": "2026-05-04T09:42:00Z"
}